import NextAuth from "next-auth"
import GitHub from "next-auth/providers/github"
 
export const { handlers, signIn, signOut, auth } = NextAuth({
  providers: [GitHub],
  callbacks: {
    async signIn({ profile }) {
      return profile?.login === "skeltoras" 
    },

    async jwt({ token, profile }) {
      if (profile) {
        token.login = profile.login
        token.id = profile.id
      }
      return token
    },

    async session({ session, token }) {
      const typedToken = token as { login?: string; id?: string }

      if (typedToken.login) session.user.login = typedToken.login
      if (typedToken.id) session.user.id = typedToken.id

      return session
    },
  },
})